## Struct assign_fun

boost::log::assign_fun — The function object that assigns its second operand to the first one.

## Synopsis

    // In header: <boost/log/utility/functional/bind_assign.hpp>

    struct assign_fun {
      // types
      typedef void result_type;

      // public member functions
      template<typename LeftT, typename RightT>
        void operator()(LeftT &, RightT const &) const;
    };

## Description

### `assign_fun` public member functions

1.     template<typename LeftT, typename RightT>
         void operator()(LeftT & assignee, RightT const & val) const;